[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Heads UP - PHP 5.3.0 in rawhide with new ABI/API.



Le 12/07/2009 19:40, Remi Collet a ├ęcrit :
> Hi,
> 
> PHP 5.3.0 freshly build in Rawhide.

**** Broken package - need work/patch

syck	https://bugzilla.redhat.com/show_bug.cgi?id=511018

**** Extension package rebuild:

php-pecl-apc-3.1.2-1.fc12
	update to 3.1.2 (beta) - PHP 5.3 support
php-pecl-mailparse-2.1.5-1.fc12
	update to 2.1.5 (bugfix + php 5.3.0 compatibility)
php-pecl-memcache-3.0.4-2.fc12
php-pecl-memcached-1.0.0-1.fc12
	Update to 1.0.0
php-pecl-ncurses-1.0.0-2.fc12
	New package
php-pecl-geoip-1.0.7-3.fc12
php-pecl-lzf-1.5.2-4.fc12
php-pecl-ssh2-0.11.0-3.fc12
	add ssh2-php53.patch
php-pecl-xdebug-2.0.4-1.fc12
	update to 2.0.4 (bugfix + Basic PHP 5.3 support)
php-pecl-radius-1.2.5-7.fc12
php-pecl-runkit-0.9-11.CVS20090215.fc12
php-pecl-parsekit-1.2-4.CVS20090309.fc12
php-pecl-selinux-0.3.1-3.fc12
php-pecl-imagick-2.2.2-3.fc12
php-shout-0.9.2-4.fc12
libpuzzle-0.11-5.fc12
	add PHP ABI check
php-magickwand-1.0.8-3.fc12
	better PHP ABI check
	use php_extdir
rrdtool-1.3.8-3.fc12
ice-3.3.1-3.fc12
	https://bugzilla.redhat.com/show_bug.cgi?id=511068
	ice-php53.patch
	add PHP ABI check
	use php_extdir
graphviz
	https://bugzilla.redhat.com/show_bug.cgi?id=511092
	add PHP ABI check
	use php_extdir (and don't own it)
	add php configuration file (/etc/php.d/graphviz.ini)

**** TODO

cups-php
sipwitch-php-swig
uuid-php
php-eaccelerator
php-suhosin

**** OTHER TODO

Update "PHP Guidelines"

- note about /usr/share/php (subfolder for each library)
- All C extension need ABI check not only PECL "official" ones.
- PECL conditional post/postun only need if php < 5.2.0  (EL-5)


I think it's enough for today... ;)

Remi


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]